Contents

# Switch Function

Ocjenjuje popisu argumenata, koji se sastoji od izraza koji slijede vrijednost. Zamijeni funkcija vraća vrijednost koja je povezana s izrazom koji je proslijedio ovu funkciju.

### Syntax:

    Switch (Expression1, Value1[, Expression2, Value2[..., Expression_n, Value_n]]) As Variant

### Parameters:

Zamijeni funkcija vrednuje izraze s lijeva na desno i zatim vraća vrijednost koja je dodijeljena funkciji izraza. Ako se izraz i vrijednost ne daju kao par, run-time pogreška se prikaže.

Izraz: Izraz koji želite procijeniti

Vrijednost: Vrijednost koju želite vratiti ako je izraz tačan

U sljedećem primjeru, Switch function dodjeljuje odgovarajući spol imenu koje je proslijeđeno u funkciji:

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleSwitch
    Dim sGender As String
        sGender = GetGenderIndex( "John" )
        MsgBox sGender
    End Sub

    Function GetGenderIndex (sName As String) As String
        GetGenderIndex = Switch(sName = "Jane", "žensko", sName = "John", "muško")
    End Function

Related Topics

Choose Function

Select...Case Statement